Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete Product Draft

Permanently deletes a product draft and discards all pending changes. Also removes any scheduled publication jobs associated with the draft.

DELETE/api/v1/{team_slug}/{app_slug}/products/{product_id}/draft
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

product_idstringrequired

Product ID

Responses
200

Draft deleted successfully

messagestring
successboolean
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

No draft found for this product

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/products/string/draft' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "message": "string",
  "success": true
}